<!DOCTYPE html>
<html ng-app="shots">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>codeShots | Main view</title>
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="//cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css">
    <link href="font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="css/animate.css" rel="stylesheet">
    <link href="css/style.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="stylesheets/style.css">
</head>
<body>
<div id="wrapper">
    <nav class="navbar-default navbar-static-side" role="navigation" ng-controller="notebooksctrl">
        <div class="sidebar-collapse">
            <ul class="nav metismenu" id="side-menu">
                <li class="nav-header" ng-controller="userctrl">
                    <div class="dropdown profile-element">
                        <a data-toggle="modal" href="#modal-account"><span class="clear"> <span
                                class="block m-t-xs"><strong class="font-bold">{{user.fName}}</strong> </span> </span>
                        </a>
                    </div>
                    <div class="logo-element">
                        IN+
                    </div>
                </li>
                <li ng-repeat="(i, nb) in notebooks">
                    <a href="#" ng-click="setNbopen(i)"><i class="fa fa-th-large"></i><span class="nav-label">{{nb.name}}</span><span
                            class="glyphicon glyphicon-cog pull-right" data-toggle="modal" data-target="#modal-notebook"
                            style="color:grey"></span></a>
                    <ul class="nav nav-second-level collapse in" ng-show="isNopen(i)">
                        <li ng-repeat="n in nb.notes" ng-if="n.length > 0">
                            <a href="#">{{n.title}}</a>
                        </li>
                        <li>
                            <a href="#">Create Note</a>
                        </li>
                    </ul>
                </li>
            </ul>
        </div>
    </nav>
    <div id="page-wrapper" class="gray-bg">
        <div class="row border-bottom">
            <nav class="navbar navbar-static-top white-bg" role="navigation" style="margin-bottom: 0">
                <div class="navbar-header">
                    <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i>
                    </a>
                    <!--<form role="search" class="navbar-form-custom" method="post" action="#">
                        <div class="form-group">
                            <input type="text" placeholder="Search for something..." class="form-control"
                                   name="top-search" id="top-search">
                        </div>
                    </form>-->
                </div>
                <ul class="nav navbar-top-links navbar-right">
                    <img src="img/logo-full.png" height="50px" width="auto" class="pull-right" style="margin-right: 20px">
                    <!--<li>
                        <a href="#"> <i class="fa fa-sign-out"></i> Log out</a>
                    </li>-->
                </ul>
            </nav>
        </div>


        <div ng-controller="editor" class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox">
                        <div class="ibox-title">
                            <h5>{{note.title}}</h5>
                            <div class="ibox-tools">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                                    <i class="fa fa-cogs"></i>
                                </a>
                                <ul class="dropdown-menu dropdown-user">
                                    <li>
                                        <a href="#">Delete</a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <div class="ibox-content">
                            <div class="note-editor">
                                <div class="note-toolbar btn-toolbar">
                                    <div class="btn-group">
                                        <button class="btn btn-default btn-sm dropdown-toggle" data-toggle="dropdown"
                                                tabindex="-1">
                                            <i class="fa fa-code"></i>
                                            <span class="caret"></span>
                                        </button>
                                        <ul class="dropdown-menu">
                                            <li>
                                                <a href="#">JavaScript</a>
                                            </li>
                                            <li>
                                                <a href="#">HTML</a>
                                            </li>
                                        </ul>
                                    </div>
                                    <div class="btn-group">
                                        <button class="btn btn-default btn-sm">
                                            <i class="fa fa-align-justify"></i>
                                        </button>
                                        <button class="btn btn-default btn-sm">
                                            <i class="fa fa-align-center"></i>
                                        </button>
                                        <button class="btn btn-default btn-sm">
                                            <i class="fa fa-align-right"></i>
                                        </button>
                                        <button class="btn btn-default btn-sm">
                                            <i class="fa fa-indent"></i>
                                        </button>
                                    </div>
                                </div>
                                <br />
                                <div class="row">
                                    <div class="col-xs-12" ng-repeat="block in note.contentList">
                                        <div class="note-text" ng-if="block.blockType == text">
                                            <div class="form-group">
                                                <textarea class="form-control autosize" value="{{block.blockData}}"></textarea>
                                            </div>
                                        </div>
                                        <div ui-ace ng-if="block.blockType == code">

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="footer">
            <div class="pull-right">
                10GB of
                <strong>250GB</strong> Free.
            </div>
            <div>
                <strong>Copyright</strong> codeShots &copy; 2016
            </div>
        </div>
    </div>
</div>

<div class="modal fade pg-show-modal" id="modal-signin" tabindex="-1" role="dialog" aria-hidden="true" ng-controller="sesionctrl">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Sign In or Create a new Account</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label" for="inputEmailL">Email address</label>
                            <input type="email" class="form-control" id="inputEmailL" placeholder="Enter email"
                                   ng-model="inputEmailL">
                        </div>
                        <div class="form-group">
                            <label class="control-label" for="inputPasswordL">Password</label>
                            <input type="password" class="form-control" id="inputPasswordL" placeholder="Password"
                                   ng-model="inputPasswordL">
                        </div>
                        <button id="login-btn" type="button" class="btn btn-primary"
                                ng-click="authentication(inputEmailL, inputPasswordL)">Log In
                        </button>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label" for="inputEmailS">Email address</label>
                            <input type="email" class="form-control" id="inputEmailS" placeholder="Enter email"
                                   ng-model="inputEmailS">
                        </div>
                        <div class="form-group">
                            <label class="control-label" for="inputPasswordS">Password</label>
                            <input type="password" class="form-control" id="inputPasswordS" placeholder="Password"
                                   ng-model="inputPasswordS">
                        </div>
                        <div class="form-group">
                            <label class="control-label" for="inputFNameS">First Name</label>
                            <input type="text" class="form-control" id="inputFNameS" placeholder="First Name"
                                   ng-model="inputFNameS">
                        </div>
                        <div class="form-group">
                            <label class="control-label" for="inputLNameS">Last Name</label>
                            <input type="text" class="form-control" id="inputLNameS" placeholder="Last Name"
                                   ng-model="inputLNameS">
                        </div>
                        <button type="button" class="btn pull-right btn-primary"
                                ng-click="createAccount(inputEmailS, inputPasswordS, inputFNameS, inputLNameS)">Create
                            Account
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade pg-show-modal" id="modal-account" tabindex="-1" role="dialog" aria-hidden="true" ng-controller="userctrl">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">My Account</h4>
            </div>
            <div class="modal-body">
                <form role="form">
                    <legend>Hello {{user.fName}}</legend>
                    <div class="form-group">
                        <label class="control-label" for="exampleInputEmail1">Email address</label>
                        <div class="input-group">
                            <span class="input-group-addon">@</span>
                            <input type="text" class="form-control" ng-model="user.mail" placeholder="Email">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="exampleInputPassword1">Old Password</label>
                        <input type="password" class="form-control" id="exampleInputPassword1"
                               placeholder="Old Password">
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="exampleInputPassword1">New Password</label>
                        <input type="password" class="form-control" id="exampleInputPassword1"
                               placeholder="New Password">
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="exampleInputPassword1">Repeat New Password</label>
                        <input type="password" class="form-control" id="exampleInputPassword1"
                               placeholder="Repeat New Password">
                    </div>
                    <button type="submit" class="btn btn-primary">Submit</button>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade pg-show-modal" id="modal-notebook" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">{{notebook.name}}</h4>
            </div>
            <div class="modal-body">
                <div class="form-group">
                    <label class="control-label" for="exampleInputEmail1">Name</label>
                    <input type="email" class="form-control" id="exampleInputEmail1" placeholder="Enter notebook name">
                </div>
                <div class="form-group">
                    <label class="control-label" for="formInput55">Color</label>
                    <select id="formInput55" class="form-control">
                        <option>1</option>
                        <option>2</option>
                        <option>3</option>
                    </select>
                </div>
                <div class="checkbox">
                    <label class="control-label">
                        <input type="checkbox"> Is Public?
                    </label>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal" click="toastr()">Close</button>
                <button type="submit" class="btn btn-primary">Save changes</button>
            </div>
        </div>
    </div>
</div>
<!-- Mainly scripts -->
<script src="js/jquery-2.1.1.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/plugins/metisMenu/jquery.metisMenu.js"></script>
<script src="js/plugins/slimscroll/jquery.slimscroll.min.js"></script>
<!-- Custom and plugin javascript -->
<script src="js/inspinia.js"></script>
<script type="text/javascript" src="http://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
<script type="text/javascript"  src="js/autosize.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.0.7/angular.min.js"></script>
<script src="js/ace-min-noconflict/ace.js"></script>
<script src="js/ui-ace.js" data-pg-id=""></script>
<script src="js/app.js" ></script>


<script>
    $(document).ready(function () {
        $('#modal-signin').modal({backdrop : 'static',
                                  keyboard: false,
                                  show: true});
        autosize(document.querySelector('textarea'));

    });
</script>
</body>
</html>
